function varargout=configure(varargin)
% FUNCTION fc_vfemp1.configure()
%   Configures the toolbox/package by setting <fc-simesh> toolbox directory.
%   Theses informations will be stored in ... file.
%
% <COPYRIGHT>
  [conffile,isFileExists]=fc_vfemp1.getLocalConfFile();
  if isFileExists
    run(conffile);
  else
    fullname=mfilename('fullpath');
    I=strfind(fullname,filesep);
    Path=fullname(1:(I(end-1)-1));
    simesh_dir='';    % empty if pkg or toolbox in path
  end
  p = inputParser;
  p.addParamValue('simesh_dir'   ,simesh_dir,@ischar);
  %p.addParamValue('force',false,@islogical); 
  p.parse(varargin{:});
  R=p.Results;
  
  if ~isempty(R.simesh_dir) &&~isdir(R.simesh_dir), error('Not a directory :\n''simesh_dir''=%s\n', R.simesh_dir); end
  
  fprintf('Write in %s ...\n',conffile);
  fid=fopen(conffile,'w');
  if (fid==0), error('Unable to open file :\n %s\n',conffile);end
  fprintf(fid,'%% Automaticaly generated with fc_vfemp1.configure()\n');
  fprintf(fid,'simesh_dir=''%s'';\n',R.simesh_dir);
  fclose(fid);
  fprintf('  -> done\n');
  if nargout==1,varargout{1}=conffile;end
end